using CandidateReviewContracts.BindingModels;
using CandidateReviewContracts.SearchModels;
using CandidateReviewContracts.ViewModels;

namespace CandidateReviewContracts.StoragesContracts
{
    public interface ICompanyStorage
    {
        List<CompanyViewModel> GetFullList();
        List<CompanyViewModel> GetFilteredList(CompanySearchModel model);
        CompanyViewModel? GetElement(CompanySearchModel model);
        int? Insert(CompanyBindingModel model);
        CompanyViewModel? Update(CompanyBindingModel model);
        CompanyViewModel? Delete(CompanyBindingModel model);
    }
}
